Subject: Problems with cvs and diff
From: [email-masked] (Ken Miller)

20 Mar 1997 20:34:47 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 4.0b2 (WinNT; I)
Original-To: [email-masked]
X-Priority: 3 (Normal)
Original-Sender: [email-masked]

I recently installed cvs and the Cygnus Gnu utilties, and immediately
ran into the following problem while trying to commit changes to a cvs
archive:

[c:\src\logman]cvs commit
cvs commit: Examining .
cvs commit: Examining testing
cvs commit: Committing .

Log message unchanged or not specified
a)bort, c)ontinue, e)dit, !)reuse this message unchanged for remaining
dirs
Action: (continue)
Checking in LogManager.cc;
c:/src/cvsroot/LogMan/LogManager.cc,v  <--  LogManager.cc
new revision: 1.6; previous revision: 1.5
diff.exe: write error                      <------ ERROR HERE
ci: c:/src/cvsroot/LogMan/LogManager.cc,v: diff failed
ci aborted
cvs commit: could not check in LogManager.cc

I looked at the diff source, and found that the problem occurs in the
check_stdout() function in diff.c.  It is complaining that stdout is an
invaild file handle.  What gives with this?  I'm not sure how to fix the
problem, so I'm wondering if anyone else out there is having the same
problem.

I'm using CVS 1.9, RCS 5.7 and the latest Cygnus utilities from
ftp.cygnus.com.

Anyone help?

Cheers!

    -klm.

-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".